import lume from "lume/mod.ts";
import sass from "lume/plugins/sass.ts";
import date from "lume/plugins/date.ts";
import jsx from "lume/plugins/jsx.ts";
import terser from "lume/plugins/terser.ts";
import postcss from "lume/plugins/postcss.ts";

const site = lume();

site.use(sass({
  includes: ['_includes'],
}));
site.use(date());
site.use(jsx());
site.use(terser());
site.use(postcss());

site.loadAssets([
  ".png",
  ".jpg",
  ".svg",
  ".pdf",
  ".woff2",
  ".woff",
  ".ttf",
  ".otf",
  ".js",
  ".mjs",
  ".txt",
  ".mp4",
]);

site.ignore("README.md", "CHANGELOG.md", "LICENSE.md");

export default site;
